List Calls#
Paginated Human Power Dialer call logs for the signed-in company, newest first. Ids are base64. These are contact-log calls (type Call), not AI voice-agent calls.
Bearer token in the format: Bearer {access_token}
Contact first name, last name, or phone number
Stored direction, for example Inbound or Outbound
Stored call status. Use Filter Call Status for the allowed values
Stored user_sentiment
Start date Y-m-d (inclusive from 00:00:00)
End date Y-m-d (inclusive through 23:59:59)
Rows per page. Default 20. Maximum 100
Page number
curl --request GET \
--url 'https://app.rizzdial.com/api/reports/calls?per_page=20&date_from=2026-10-01&date_to=2026-10-21' \
--header 'Authorization: Bearer {{bearer_token}}'success
Base64 id and contact_id, contact_name, phone_number, direction, from_number, to_number, status, call_duration, recording_path, recording_available, sentiment, created_at
total, current_page, per_page, last_page, from, to